Reviews
List all product reviews
List of reviews for a specified product. The reviews are returned sorted by submission date, with the most recent reviews appearing first. You can filter the reviews by rating, reviewer, or date for more detailed analysis.
GET
/
catalog
/
products
/
{product_id}
/
reviews
List all product reviews
curl --request GET \
--url https://staging.api.commercengine.io/api/v1/{store_id}/storefront/catalog/products/{product_id}/reviews \
--header 'Authorization: Bearer <token>'import requests
url = "https://staging.api.commercengine.io/api/v1/{store_id}/storefront/catalog/products/{product_id}/reviews"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://staging.api.commercengine.io/api/v1/{store_id}/storefront/catalog/products/{product_id}/reviews', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://staging.api.commercengine.io/api/v1/{store_id}/storefront/catalog/products/{product_id}/reviews",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://staging.api.commercengine.io/api/v1/{store_id}/storefront/catalog/products/{product_id}/reviews"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://staging.api.commercengine.io/api/v1/{store_id}/storefront/catalog/products/{product_id}/reviews")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://staging.api.commercengine.io/api/v1/{store_id}/storefront/catalog/products/{product_id}/reviews")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"message": "<string>",
"success": true,
"content": {
"reviews": [
{
"product_id": "<string>",
"rating": 3,
"review_text": "<string>",
"name": "<string>",
"email": "mr@bees.com",
"status": "pending",
"is_featured": false,
"tags": [
"<string>"
],
"review_date": "2023-11-07T05:31:56Z",
"images": [
{
"id": "<string>",
"thumbnail_url": "<string>",
"blur_url": "<string>",
"standard_url": "<string>"
}
],
"videos": [
{
"id": "<string>",
"cover_image_url": "<string>",
"video_preview_url": "<string>",
"playback": {
"hls": "<string>",
"dash": "<string>"
},
"duration": "<string>",
"size": "<string>"
}
]
}
],
"review_tags": [
"<string>"
],
"pagination": {
"total_records": 100,
"total_pages": 4,
"previous_page": null,
"next_page": 2,
"limit": 25
}
}
}{
"message": "Not authorized for given operation on the Resource.",
"success": false,
"code": "unauthorized",
"details": "<string>"
}{
"code": "<string>",
"message": "<string>",
"success": true,
"details": "<string>"
}{
"code": "<string>",
"message": "<string>",
"success": true,
"details": "<string>"
}Query Parameters
Was this page helpful?
⌘I
List all product reviews
curl --request GET \
--url https://staging.api.commercengine.io/api/v1/{store_id}/storefront/catalog/products/{product_id}/reviews \
--header 'Authorization: Bearer <token>'import requests
url = "https://staging.api.commercengine.io/api/v1/{store_id}/storefront/catalog/products/{product_id}/reviews"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://staging.api.commercengine.io/api/v1/{store_id}/storefront/catalog/products/{product_id}/reviews', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://staging.api.commercengine.io/api/v1/{store_id}/storefront/catalog/products/{product_id}/reviews",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://staging.api.commercengine.io/api/v1/{store_id}/storefront/catalog/products/{product_id}/reviews"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://staging.api.commercengine.io/api/v1/{store_id}/storefront/catalog/products/{product_id}/reviews")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://staging.api.commercengine.io/api/v1/{store_id}/storefront/catalog/products/{product_id}/reviews")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"message": "<string>",
"success": true,
"content": {
"reviews": [
{
"product_id": "<string>",
"rating": 3,
"review_text": "<string>",
"name": "<string>",
"email": "mr@bees.com",
"status": "pending",
"is_featured": false,
"tags": [
"<string>"
],
"review_date": "2023-11-07T05:31:56Z",
"images": [
{
"id": "<string>",
"thumbnail_url": "<string>",
"blur_url": "<string>",
"standard_url": "<string>"
}
],
"videos": [
{
"id": "<string>",
"cover_image_url": "<string>",
"video_preview_url": "<string>",
"playback": {
"hls": "<string>",
"dash": "<string>"
},
"duration": "<string>",
"size": "<string>"
}
]
}
],
"review_tags": [
"<string>"
],
"pagination": {
"total_records": 100,
"total_pages": 4,
"previous_page": null,
"next_page": 2,
"limit": 25
}
}
}{
"message": "Not authorized for given operation on the Resource.",
"success": false,
"code": "unauthorized",
"details": "<string>"
}{
"code": "<string>",
"message": "<string>",
"success": true,
"details": "<string>"
}{
"code": "<string>",
"message": "<string>",
"success": true,
"details": "<string>"
}